Format 2

# Title style definition
Style Titre
  Margin		Static
  LatexType		Command
  InTitle		1
  LatexName		title
  ParSkip		0.4
  ItemSep		0
  TopSep		0
  BottomSep		1
  ParSep		1
  Align			Center
  AlignPossible		Center
  LabelType		No_Label

  # standard font definition
  Font
    Shape		Smallcaps
    Series 		Bold
    Size		Larger
  EndFont
End

# Author style definition
Style Auteur
  Margin		Static
  LatexType		Command
  InTitle		1
  LatexName		author
  LabelSep		xxx
  ParSkip		0.4
  TopSep		1.3
  BottomSep		1
  ParSep		0.7
  Align			Center
  AlignPossible		Center
  LabelType		No_Label

  # standard font definition
  Font
    Size		Large
    Shape		Smallcaps
  EndFont
End

# Address style definition
Style Adresse
  Margin			Dynamic
  LatexType		Command
  InTitle			1
  LatexName		address
  ParSkip		0.4
  BottomSep		0.1
  ParSep			1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Adresse: "
  # label font definition
  Font
    Shape               	SmallCaps
  EndFont
  LabelFont
    Shape		Italic
  EndFont
End  

# Current Address style definition
Style Adresse_actuelle
  Margin			Dynamic
  LatexType		Command
  InTitle			1
  LatexName		curraddr
  ParSkip		0.4
  BottomSep		0.1
  ParSep			1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Adresse actuelle: "
  # label font definition
  LabelFont
    Shape		Italic
  EndFont
End  

# Email style definition
Style Adresse_lectronique
  Margin		First_Dynamic
  LatexType		Command
  InTitle		1
  LatexName		email
  ParSkip		0.4
  BottomSep		0.1
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  labelString		"Adresse lectronique: "
  # Font definition
  LabelFont
    Shape		Italic
  EndFont
End

# URL style definition
Style URL
  Margin		First_Dynamic
  LatexType		Command
  InTitle		1
  LatexName		urladdr
  ParSkip		0.4
  BottomSep		2
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  labelString		"URL: "
  # Font definition
  LabelFont
    Shape		Italic
  EndFont
End

# Subjectclass style definition
Style Classification_AMS_1991
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		subjclass
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Center
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Classification AMS 1991: "
  # label font definition
  LabelFont
    Shape		Italic
  EndFont
Preamble
  \newcommand{\subjclassfr}[1]{%
  \subjclass{#1}
  \renewcommand{\subjclassname}{Classification AMS \textup{1991}}}
EndPreamble
End  

# Subjectclass style definition
Style Classification_AMS_2000
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		subjclasstwothousand
  ParSkip		0.4
  BottomSep		0.1
  ParSep		1.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"2000 Mathematics Subject Classification: "
  # label font definition
  Font
    Size                Small
  EndFont
  LabelFont
    Shape		Italic
  EndFont
  Preamble
  \newcommand{\subjclasstwothousand}[1]{%
  \subjclass{#1}
  \renewcommand{\subjclassname}{%
  \textup{2000} Mathematics Subject Classification}}
  EndPreamble
End

# Translator style definition
Style Traduit_par
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		translator
  ParSkip		0.4
  BottomSep		1.5
  ParSep		1.5
  Align			Center
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Traduit par: "
  # label font definition
  Font
    shape               SmallCaps
  EndFont
  LabelFont
    Shape		Up
  EndFont
Preamble
\def\@settranslators{\par
  \begingroup
  Traduit par: \andify\@translators \uppercasenonmath\@translators
  \@translators \@@par
  \endgroup}
EndPreamble
End

# Thanks style definition
Style Remerciements____
  Margin		Dynamic
  LatexType		Command
  InTitle		1
  LatexName		thanks
  ParSkip		0.4
  BottomSep		0.7
  ParSep		1.5
  Align			Center
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"Remerciements : "
  # label font definition
  LabelFont
    Shape		Italic
  EndFont
End

# Rsum style definition
Style Rsum 
  Margin		First_Dynamic
  LatexType		Environment
  InTitle		1
  LatexName		abstract
  LeftMargin		MMM
  LabelIndent		MMM
  RightMargin		MMM
  ParIndent		MM
  TopSep		0.7
  BottomSep		0.7
  Align			Block
  AlignPossible		Block
  LabelType		Static
  LabelString		Rsum.
  LabelSep		M

  # standard font definition
  Font 
    Size		Small
  EndFont

  # label font definition
  LabelFont
    Shape		Smallcaps
  EndFont
End 
