Format 2

# Dmonstration style declaration
Style Dmonstration
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		proof
  NextNoIndent		1
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"Proof."
  EndLabelType		Box
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Italic
  EndFont
End

# Dmonstration style declaration
Style Dmonstration_(Q.E.D.)
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		PreuveQED
  NextNoIndent		1
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"Proof."
  EndLabelType		Static
  EndLabelString	"  Q.E.D."
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Italic
  EndFont
End

# Changemarges indent style declaration
Style Changemarges(indentfirst)
  Margin			Dynamic
  LatexType		Environment
  LatexName		changemargesid
#  LeftMargin            	M
  RightMargin           	MMM
  NextNoIndent		1
  LabelSep		xx
  ParIndent             M
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"->!{?}{?}!->"
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Up
    Color               red
  EndFont
End

# Changemarges noindent style declaration
Style Changemarges(noindentfirst)
  Margin			Dynamic
  LatexType		Environment
  LatexName		changemarges
#  LeftMargin            M
  RightMargin           	MMM
  NextNoIndent		1
  LabelSep		xx
  ParIndent            	M
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep			0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"<-!{?}{?}!<-"
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Up
    Color               red
  EndFont
End

# Center style definition
Style Centrage
  Margin			Dynamic
  LatexType		Environment
  LatexName		center
  NextNoIndent		1
  ParSkip		0.4
  TopSep		0.5
  ParSep			0.5
  BottomSep		0.5
  Align			Center
  AlignPossible		Block, Left, Right, Center
End

# Centrage style definition
Style Centrage_d'une_ligne
  Margin			Dynamic
  LatexType		Command
  LatexName		centrage
  NextNoIndent		0
  ParSkip		0.4
  TopSep		0.1
  ParSep		0.1
  BottomSep		0.1
  Align			Center
  AlignPossible		Block, Left, Right, Center
  Preamble
\def\centrage#1{{\centering #1 \par}}
  EndPreamble
End

# right justfy style definition
Style justifi__droite
  Margin			Dynamic
  LatexType		Environment
  LatexName		flushright
  NextNoIndent		1
  ParSkip		0.4
  TopSep		0.5
  ParSep			0.5
  BottomSep		0.5
  Align			Right
  AlignPossible		Block, Left, Right, Center
End

# left justfy style definition
Style justifi__gauche
  Margin			Dynamic
  LatexType		Environment
  LatexName		flushleft
  NextNoIndent		1
  ParSkip		0.4
  TopSep		0.5
  ParSep			0.5
  BottomSep		0.5
  Align			Left
  AlignPossible		Block, Left, Right, Center
End

#Diminution taille police
Style Diminution_(taille)
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		Petit
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"Taper en mode TeX: {\petitA}, ou, ... , ou {\petitD}."
  EndLabelType		Static
  EndLabelString	"   Fin de diminution"
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Up
    Color               Red
  EndFont
 Preamble
\newenvironment{Petit}[1]{#1 }{\par}
 EndPreamble
End

#Augmentation taille police
Style Augmentation_(taille)
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		Grand
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"Taper en mode TeX: {\grandA}, ou, ... , ou {\grandE}."
  EndLabelType		Static
  EndLabelString	"   Fin d'agrandissement"
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Up
    Color               Red
  EndFont
 Preamble
\newenvironment{Grand}[1]{#1 }{\par}
 EndPreamble
End

# Centrage vertical style declaration
Style Centrage_vertical_(dans_une_page_spare)
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		vcenterpage
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  KeepEmpty		1
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"Centrage, page spare"
  EndLabelType		Static
  EndLabelString	"   Fin centrage, page spare"
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Italic
    Color               Red
  EndFont

 Preamble
\newenvironment{vcenterpage}
{\newpage\vspace*{\fill}}
{\vspace*{\fill}\par\pagebreak}
 EndPreamble
End

# Quotation style definition
Style Quotation
  Margin		Static
  LatexType		Environment
  LatexName		quotation
  NextNoIndent		1
  LeftMargin		MMM
  RightMargin		MMM
  ParIndent		MM
  ParSkip		0
  ItemSep		0
  TopSep		0.5
  BottomSep		0.5
  ParSep		0
  Align			Block
  AlignPossible		Block, Left, Right, Center
End

# Quote style definition
Style Quote
  Margin		Static
  LatexType		Environment
  LatexName		quote
  NextNoIndent		1
  LeftMargin		MMM
  RightMargin		MMM
  TopSep		0.5
  ParSep		0.5
  BottomSep		0.5
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		No_Label
End

# Verse style definition
Style Vers
# LaTeX type is first dynamic because of LaTeX implementation.
# In LyX this does not make sense.
  LatexType		Environment
  LatexName		verse
  Margin		First_Dynamic
  NextNoIndent		1
  LeftMargin		MMMM
  LabelIndent		MMMM
  ParSkip		0.4
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.5
  Align			Block
  AlignPossible		Block, Left
  LabelType		No_Label
End

#  Multicolonnes style declaration
Style Multicolonnes_(!!!)
  Margin		Dynamic
  LatexType		Environment
  LatexName		multicols
  NextNoIndent		1
  LabelSep		xx
  ParIndent             M
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"!{nombre}!"
  EndLabelType		Static
  EndLabelString	"  Fin Multicolonnes"
# standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont
# label font definition
  LabelFont
    Shape               Up
    Size		Small
    Color               red
  EndFont

  Preamble
  \usepackage{multicol}
  EndPreamble
End

# Multicolonnes parametrable style declaration
Style Multicolonnes_paramtrable_(!!!)
  Margin			Dynamic
  LatexType		Environment
  LatexName		monmulticols
  NextNoIndent		1
  LabelSep		xx
  ParIndent             M
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"!{sp.}{pais}{nb-col}!"
  EndLabelType		Static
  EndLabelString	"  Fin Multicolonnes Paramtrable"
# standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont
# label font definition
  LabelFont
    Shape               Up
    Size		Small
    Color               red
  EndFont

  Preamble
  \usepackage{multicol}
\newenvironment{monmulticols}[3]{%
\setlength{\columnsep}{#1}%
\setlength{\columnseprule}{#2pt}%
\begin{multicols}{#3}}
{\end{multicols}}
  EndPreamble
End

# Interligne un et demi style declaration
Style Interligne_un_et_demi_(si_interligne_simple)
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		onehalfspace
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Spacing                           onehalf
  Align			Block
  AlignPossible		Block, Left
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Italic
  EndFont
 Preamble
\usepackage{setspace}
 EndPreamble
End 

# Interligne double style declaration
Style Interligne_double_(si_interligne_simple)
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		doublespace
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Spacing                           double
  Align			Block
  AlignPossible		Block, Left
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Italic
  EndFont
 Preamble
\usepackage{setspace}
 EndPreamble
End 

# Interligne variable style declaration
Style Interligne_dfinissable_(proportionnel__la_base)
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		spacing
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Spacing                           other 3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"Interligne dfinissable. Taper en mode TeX: {chiffre} "
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Up
    Color               red
  EndFont
 Preamble
\usepackage{setspace}
 EndPreamble
End 

# Interligne simple avec interligne avant style declaration
Style Interligne_simple_(avec_interligne_avant_et_aprs)
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		singlespace
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Italic
  EndFont
 Preamble
\usepackage{setspace}
 EndPreamble
End

# Interligne simple sans interligne avant style declaration
Style Interligne_simple_(sans_interligne_avant_avec_interligne_aprs)
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		singlespace*
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Italic
  EndFont
 Preamble
\usepackage{setspace}
 EndPreamble
End

# LaTeX style definition
Style LaTeX
  Margin		First_Dynamic
  LatexType		Paragraph
  LatexName		dummy
  PassThru		1
  NewLine		0
  ParIndent		MM
  ParSkip		0.4
  ParSep		0.5
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelString		"LaTeX pur : Texte non traduit!! "
  FreeSpacing 	    	1

  # standard font definition
  Font
   Shape		Up
   Color		Red
  EndFont
  # label font definition
  LabelFont
   Shape		Up
   Color		Magenta
  EndFont
End

# Commente style definition
Style Comment
  Margin		Dynamic
  LatexType		Environment
  LatexName		comment
  NextNoIndent		1
  LeftMargin		MMM
  RightMargin           MMM
  Align			Block
  AlignPossible		Block, Left, Right, Center
  LabelType		Static
  LabelSep		:x
  Labelstring		"Comment:"

  LabelFont
	Shape		Italic
	Series		Bold
	Color		black
  EndFont

  TextFont
	Color		magenta
	Shape		Italic
  EndFont

  Preamble
  \usepackage{verbatim}
  EndPreamble

End

# Caption style definition
Style Caption
  Margin		First_Dynamic
  LatexType		Command
  LatexName		caption
  NeedProtect		1
  LabelSep		xx
  ParSkip		0.4
  TopSep		0.5
  Align			Block
  AlignPossible		Block, Left
  LabelType		Sensitive
  LabelString		Caption

  # label font definition
  LabelFont 
    Series		Bold
  EndFont
End

# Sur sections style declaration
Style %Numrotation__gauche:_\leftlinenumber*_(dfaut)
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Sur sections style declaration
Style %Numrotation__droite:_\rightlinenumber*
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Sur sections style declaration
Style %Sparation__gauche:_\setlength\linenumbersep{"valeur"}_(dfaut=10pts)
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Sur sections style declaration
Style %Sparation__droite:_\setlength\linenumbersep{"valeur"}_avec_\setlength\linenumberwidth{"valeur"}_(dfaut=10pts_chacuns)
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style __COMPTEUR_LIBRE:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style Compteur_remis__1
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		runninglinenumbers*
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"Taper les options ventuelles en mode TeX."
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Up
    Color               Red
  EndFont
 Preamble
\usepackage{lineno}
 EndPreamble
End

Style Compteur__initialiser
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		runninglinenumbers
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"Taper en mode TeX: [nombre] et les options ventuelles."
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Up
    Color               Red
  EndFont
 Preamble
\usepackage{lineno}
 EndPreamble
End

Style _______COMPTEUR
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ________PAR_PAGE:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style Recto_seul_ou_recto-verso
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		pagewiselinenumbers
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"Taper en mode TeX: pour recto-verso: \switchlinenumbers*, et les options ventuelles."
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Up
    Color               Red
  EndFont
 Preamble
\usepackage{lineno}
 EndPreamble
End

Style Encadrament_d'une_partie
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		bframe
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Static
  LabelString		"Encadrement simple (exprimental). Options: voir doc lineno."
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Up
    Color               Magenta
  EndFont
 Preamble
\usepackage{lineno}
 EndPreamble
End

Style Marquage_des_lignes_d'une_partie_par_des_caractres
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		runninglinenumbers
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM  
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Top_Environment
  LabelString		"Taper en mode TeX: \renewcommand\makeLineNumber{\hss caractre\ \rlap{\hskip\textwidth\ caractre}}, voir doc lineno. "
  
  # standard font definition
  Font
    Shape               Up
    Size                Normal
  EndFont

  # label font definition
  LabelFont
    Shape               Up
	Size				Small
    Color               Red
  EndFont
 Preamble
\usepackage{lineno}
 EndPreamble
End
