Format 2
Style ****************************
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style FIGURES_GRAPHIQUES
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style *******SIMPLIFIES*******
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ***AVEC_PSTRICKS***
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ________************
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style **POSITIONNEMENT:***
  Margin  		First_Dynamic
  LatexType 		Paragraph
  NextNoIndent		1
  ParIndent		MM
  ParSkip 		0.4
  ItemSep		0.2
  TopSep		0
  BottomSep		0
  ParSep		0
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
#    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
End

Style ___________******_____________
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _______STANDARD:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Definition style declaration
Style Dfinition_du_cadre_(\begin{figure}[!h]_\par_\centering_\begin{pspicture}(#1_#2)(#3_#4))
  CopyStyle 		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Dimensionfig
  PassThru		1
  TopSep		0.7
  LabelType		Static
  LabelString		"Cadre.TAPER: x1}{y1}{x2}{y2  (o: (xi,yi)=coord. du coin bas-gauche, haut-droit) "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Dimensionfig#1#2#3#4{\begin{figure}[!h] \par \centering \begin{pspicture}(#1,#2)(#3,#4)}
  EndPreamble
End

# Definition style declaration
Style Dfinition_du_cadre_(\begin{figure}[!h]_\par_\centering_\begin{pspicture}(0_0)(#1_#2))
  CopyStyle 		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Dimensionfig
  PassThru		1
  TopSep		0.7
  LabelType		Static
  LabelString		"Cadre.TAPER: x1}{y1}{x2}{y2  (o: (xi,yi)=coord. du coin bas-gauche, haut-droit) "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Dimensionfig#1#2#3#4{\begin{figure}[!h] \par \centering \begin{pspicture}(#1,#2)(#3,#4)}
  EndPreamble
End

# Fin Figure style declaration
Style Fin_de_la_Figure_(\end{pspicture}_\par_#1_\end{figure})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Finfig
  NextNoIndent		0
  FreeSpacing		1
  BottomSep		0.7
  LabelType		Static
  LabelString		"Fin de la Figure. Espace ou: taper(TEX): \caption{nom avec tiquette ventuelle} "
  Preamble
\def\Finfig#1{\end{pspicture} \par #1 \end{figure}}
  EndPreamble
End

# Definition stricte style declaration
Style Dfinition_du_cadre_strict_(\begin{figure}[!h]_\par_\centering_\begin{pspicture*}(#1_#2)(#3_#4))
  CopyStyle 		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Dimensionfigc
  PassThru		1
  TopSep		0.7
  LabelType		Static
  LabelString		"Cadre strict.TAPER: x1}{y1}{x2}{y2  (o: (xi,yi)=coord. du coin bas-gauche, haut-droit) "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Dimensionfigc#1#2#3#4{\begin{figure}[!h] \par \centering \begin{pspicture*}(#1,#2)(#3,#4)}
  EndPreamble
End

# Definition stricte style declaration
Style Dfinition_du_cadre_strict_(\begin{figure}[!h]_\par_\centering_\begin{pspicture*}(0_0)(#1_#2))
  CopyStyle 		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Dimensionfigc
  PassThru		1
  TopSep		0.7
  LabelType		Static
  LabelString		"Cadre strict.TAPER: x1}{y1}{x2}{y2  (o: (xi,yi)=coord. du coin bas-gauche, haut-droit) "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Dimensionfigc#1#2#3#4{\begin{figure}[!h] \par \centering \begin{pspicture*}(#1,#2)(#3,#4)}
  EndPreamble
End

# Fin Figure stricte style declaration
Style Fin_de_la_Figure_strict_(\end{pspicture*}_\par_#1_\end{figure})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Finfigc
  NextNoIndent		0
  FreeSpacing		1
  BottomSep		0.7
  LabelType		Static
  LabelString		"Fin de la Figure stricte. Espace ou: taper(TEX): \caption{nom avec tiquette ventuelle} "
  Preamble
\def\Finfigc#1{\end{pspicture*} \par #1 \end{figure}}
  EndPreamble
End

Style ___________******____________
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style AVEC_TEXTE__COTE:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Definition flotant style declaration
Style Dfinition_du_cadre_flotant_(\begin{floatingfigure}[#1]{#2}\begin{pspicture}(#3_#4)(#5_#6))
  CopyStyle 		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Dimensionfigfloat
  PassThru		1
  TopSep		0.7
  LabelType		Static
  LabelString		"Cadre flotant.TAPER: position}{largeur}{x1}{y1}{x2}{y2  (o: (xi,yi)=coord. du coin bas-gauche, haut-droit) "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Dimensionfigfloat#1#2#3#4#5#6{\begin{floatingfigure}[#1]{#2}\begin{pspicture}(#3,#4)(#5,#6)}
  EndPreamble
End

# Fin Figure flotante style declaration
Style Fin_de_la_Figure_flotante_(\end{pspicture}_#1_\end{floatingfigure})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Finfigfloat
  NextNoIndent		0
  FreeSpacing		1
  BottomSep		0.7
  LabelType		Static
  LabelString		"Fin de la Figure flotante. Espace ou: taper(TEX): \caption{nom avec tiquette ventuelle} "
  Preamble
\def\Finfigfloat#1{\end{pspicture}  #1 \end{floatingfigure}}
  EndPreamble
End

# Definition flotant strictstyle declaration
Style Dfinition_du_cadre_flotant_strict_(\begin{floatingfigure}[#1]{#2}\begin{pspicture*}(#3_#4)(#5_#6))
  CopyStyle 		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Dimensionfigfloatc
  PassThru		1
  TopSep		0.7
  LabelType		Static
  LabelString		"Cadre flotant st.TAPER: position}{largeur}{x1}{y1}{x2}{y2  (o: (xi,yi)=coord. du coin bas-gauche, haut-droit) "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Dimensionfigfloatc#1#2#3#4#5#6{\begin{floatingfigure}[#1]{#2}\begin{pspicture*}(#3,#4)(#5,#6)}
  EndPreamble
End

# Fin Figure flotante strict style declaration
Style Fin_de_la_Figure_flotante_strict_(\end{pspicture*}_#1_\end{floatingfigure})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Finfigfloatc
  NextNoIndent		0
  FreeSpacing		1
  BottomSep		0.7
  LabelType		Static
  LabelString		"Fin de la Figure flotante st. Espace ou: taper(TEX): \caption{nom avec tiquette ventuelle} "
  Preamble
\def\Finfigfloatc#1{\end{pspicture*}  #1 \end{floatingfigure}}
  EndPreamble
End

Style ________************_
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _____DIAGRAMMES
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ____COMMUTATIFS
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Noeud style declaration
Style Noeud_du_diagramme_(\rput[c](#1_#2){\rnode{#3}{#4}})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		noeuddc
  LabelType		Top_Environment
  LabelString		"Noeuds. TAPER -mode TEX (sauf contenu)- : x}{y}{nom}{contenu (o: (x,y)=coord. du noeud) "
  Preamble
\def\noeuddc#1#2#3#4{\rput[c](#1,#2){\rnode{#3}{#4}}}
  EndPreamble
End

Style _FLECHES_DROITES
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _____LABELISEES_:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style (noeudA_vers_noeudB)
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _LABEL_HORIZONTAL_:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Au Dessus style declaration
Style Label_au_dessus_(\ncline[nodesep=5pt]{#1}{#2}{#3}\Aput{#4})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		flhdessus
  LabelType		Top_Environment
  LabelString		"FL-dessus-.TAPER -mode TEX (sauf Label)- : opt: ,...}{type}{noeudA}{noeudB}{Label (o: type= -> ou <- ou <->)) "
  Preamble
\def\flhdessus#1#2#3#4#5{\ncline[nodesep=5pt#1]{#2}{#3}{#4}\Aput{#5}}
  EndPreamble
End

# En Dessous style declaration
Style Label_en_dessous_(\ncline[nodesep=5pt]{#1}{#2}{#3}\Bput{#4})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		flhdessous
  LabelType		Top_Environment
  LabelString		"FL-dessous-.TAPER -mode TEX (sauf Label)- : opt: ,...}{type}{noeudA}{noeudB}{Label (o: type= -> ou <- ou <->)) "
  Preamble
\def\flhdessous#1#2#3#4#5{\ncline[nodesep=5pt#1]{#2}{#3}{#4}\Bput{#5}}
  EndPreamble
End

# Par Dessous style declaration
Style Label_par_dessus_(\ncline[nodesep=5pt]{#1}{#2}{#3}\mput*{#4})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		flhpardessus
  LabelType		Top_Environment
  LabelString		"FL-sur-.TAPER -mode TEX(sauf Label)- : opt: ,...}{type}{noeudA}{noeudB}{Label (o: type= -> ou <- ou <->)) "
  Preamble
\def\flhpardessus#1#2#3#4#5{\ncline[nodesep=5pt#1]{#2}{#3}{#4}\mput*{#5}}
  EndPreamble
End

Style _LABEL_PARALLELE_:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Au Dessus style declaration
Style Label_au_dessus_(\ncline[nodesep=5pt]{#1}{#2}{#3}\aput{:U}{#4})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		flpdessus
  LabelType		Top_Environment
  LabelString		"FL-dessus//.TAPER -mode TEX (sauf Label)- : opt: ,...}{type}{noeudA}{noeudB}{Label (o: type= -> ou <- ou <->)) "
  Preamble
\def\flpdessus#1#2#3#4#5{\ncline[nodesep=5pt#1]{#2}{#3}{#4}\aput{:U}{#5}}
  EndPreamble
End

# En Dessous style declaration
Style Label_en_dessous_(\ncline[nodesep=5pt]{#1}{#2}{#3}\bput{:U}{#4})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		flpdessous
  LabelType		Top_Environment
  LabelString		"FL-dessous//.TAPER -mode TEX (sauf Label)- : opt: ,...}{type}{noeudA}{noeudB}{Label (o: type= -> ou <- ou <->)) "
  Preamble
\def\flpdessous#1#2#3#4#5{\ncline[nodesep=5pt#1]{#2}{#3}{#4}\bput{:U}{#5}}
  EndPreamble
End

# Par Dessus style declaration
Style Label_par_dessus_(\ncline[nodesep=5pt]{#1}{#2}{#3}\lput*{:U}{#4})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		flppardessus
  LabelType		Top_Environment
  LabelString		"FL-sur//.TAPER -mode TEX (sauf Label)- : opt: ,...}{type}{noeudA}{noeudB}{Label (o:type=->ou<-ou<->)) "
  Preamble
\def\flppardessus#1#2#3#4#5{\ncline[nodesep=5pt#1]{#2}{#3}{#4}\lput*{:U}{#5}}
  EndPreamble
End

Style ________************__
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style OUTILS_GRAPHIQUES:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ___________******____
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _____GENERALITES_:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Axes style declaration
Style Axes_(\psaxes[opt]{style}(x0_y0)(x1_y1)(x2_y2))
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Axes
  PassThru		1
  LabelType		Static
  LabelString		"Axes. TAPER: options}{style-dbut}{style-fin}}(x0,y0)(x1,y1)(x2,y2){ "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\usepackage{pst-plot}
\def\Axes#1#2#3{\psaxes[#1]{#2-#3}}
  EndPreamble
End

# Grilles style declaration
Style Grilles_(\psgrid[opt](x0_y0)(x1_y1)(x2_y2))
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Grilles
  PassThru		1
  LabelType		Static
  LabelString		"Grilles. TAPER: options}(x0,y0)(x1,y1)(x2,y2){ "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Grilles#1{\psgrid[#1]}
  EndPreamble
End

# Placer style declaration
Style Placer_un_objet_(Texte_par_exemple)_(\rput[pointref]{angle}(x_y){objet})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Placer
  LabelType		Top_Environment
  LabelString		"Placer un objet. TAPER -mode TEX (sauf objet)- : pointref}{angle}(x,y){objet "
  Preamble
\def\Placer#1{\rput[#1]}
  EndPreamble
End

# Placer eps style declaration
Style Placer_une_image_postscript_encapsule_(\rput[pointref]{angle}(x_y){\epsfbox{fichier.eps}})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Placereps
  PassThru		1
  LabelType		Static
  LabelString		"Placer image eps. TAPER: pointref}{angle}{x}{y}{fichier.eps "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Placereps#1#2#3#4#5{\rput[#1]{#2}(#3,#4){\epsfbox{#5}}}
  EndPreamble
End

# Placer distant style declaration
Style Placer_un_objet_distant(Texte_par_exemple)_(\uput{sparation}[angle](x_y){objet})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Placerd
  LabelType		Top_Environment
  LabelString		"Placer un objet distant. TAPER -mode TEX (sauf objet)-: sparation}{angle}(x,y){objet "
  Preamble
\def\Placerd#1#2{\uput{#1}[#2]}
  EndPreamble
End

# Points style declaration
Style Points_(dots)_(\psdots[opt](x1_y1)...(xn_yn))
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Points
  PassThru		1
  LabelType		Static
  LabelString		"Points. TAPER: options}(x1,y1)...(xn,yn){ "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Points#1{\psdots[#1]}
  EndPreamble
End

Style ___________******___
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style __FIGURES_SIMPLES_:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Ligne style declaration
Style Ligne_(\psline[opt]{style}(x0_y0)...(xn_yn))
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Ligne
  LabelType		Static
  PassThru		1
  LabelString		"Ligne. TAPER: options}{style-dbut}{style-fin}(x0,y0)...(xn,yn){ "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Ligne#1#2#3{\psline[#1]{#2-#3}}
  EndPreamble
End

# Rectangle style declaration
Style Rectangle_(\psframe[opt](x0_y0)(x1_y1))
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Rectangle
  PassThru		1
  LabelType		Static
  LabelString		"Rectangle. TAPER: options}(x0,y0)(x1,y1){ "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Rectangle#1{\psframe[#1]}
  EndPreamble
End

# Cercle style declaration
Style Cercle_(\pscircle[opt](x0_y0){rayon})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Cercle
  PassThru		1
  LabelType		Static
  LabelString		"Cercle. TAPER: options}(x0,y0){rayon "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Cercle#1{\pscircle[#1]}
  EndPreamble
End

# Ellipse style declaration
Style Ellipse_(\psellipse[opt](x0_y0)(x1_y1))
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Ellipse
  PassThru		1
  LabelType		Static
  LabelString		"Ellipse. TAPER: options}(x0,y0)(x1,y1){ "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Ellipse#1{\psellipse[#1]}
  EndPreamble
End

# Arc trigo style declaration
Style Arc_trigo_(\psarc[opt]{style}(x_y){rayon}{angleA}{angleB})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Arctrigo
  PassThru		1
  LabelType		Static
  LabelString		"Arc trigonomtrique. TAPER: options}{style-dbut}{style-fin}(x,y){rayon}{angleA}{angleB "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Arctrigo#1#2#3{\psarc[#1]{#2-#3}}
  EndPreamble
End

# Arc montre style declaration
Style Arc_montre_(\psarcn[opt]{style}(x_y){rayon}{angleA}{angleB})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Arcmontre
  PassThru		1
  LabelType		Static
  LabelString		"Arc sens montre. TAPER: options}{style-dbut}{style-fin}(x,y){rayon}{angleA}{angleB "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Arcmontre#1#2#3{\psarcn[#1]{#2-#3}}
  EndPreamble
End

# Parabole style declaration
Style Parabole_(\parabola[opt]{style}(x1_y1)(xm_ym))
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Parabole
  PassThru		1
  LabelType		Static
  LabelString		"Parabole. TAPER: options}{style-dbut}{style-fin}}(x1,y1)(xm,ym){ "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Parabole#1#2#3{\parabola[#1]{#2-#3}}
  EndPreamble
End

# Courbe style declaration
Style Courbe_(\pscurve[opt]{style}(x1_y1)...(xn_yn))
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Courbe
  PassThru		1
  LabelType		Static
  LabelString		"Courbe. TAPER: options}{style-dbut}{style-fin}}(x1,y1)...(xn,yn){ "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Courbe#1#2#3{\pscurve[#1]{#2-#3}}
  EndPreamble
End

# Courbe Bezier style declaration
Style Courbe_Bzier_(\psbezier[opt]{style}(x1_y1)(x2_y2)(x3_y3)(x4_y4))
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		CourbeBezier
  PassThru		1
  LabelType		Static
  LabelString		"Courbe Bzier. TAPER: options}{style-dbut}{style-fin}}(x1,y1)(x2,y2)(x3,y3)(x4,y4){ "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\CourbeBezier#1#2#3{\psbezier[#1]{#2-#3}}
  EndPreamble
End

# Courbe fermee style declaration
Style Courbe_ferme_(\psccurve[opt](x1_y1)...(xn_yn))
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Courbef
  PassThru		1
  LabelType		Static
  LabelString		"Courbe ferme. TAPER: options}(x1,y1)...(xn,yn){ "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Courbef#1{\psccurve[#1]}
  EndPreamble
End

Style ___________******__
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _________NOEUDS:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ______CONTENANT
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ________UN_OBJET:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Noeud rectangle style declaration
Style Rectangle_transparent_(\rput[pointref](x_y){\rnode[pointliaison]{nom}{objet})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Noeudrec
  LabelType		Top_Environment
  LabelString		"Noeud rectangle transparent. TAPER -mode TEX (sauf objet)-: lieuref}{x}{y}{lieuliaison}{nom}{objet "
  Preamble
\def\Noeudrec#1#2#3#4#5#6{\rput[#1](#2,#3){\rnode[#4]{#5}{#6}}}
  EndPreamble
End

# Noeud cercle style declaration
Style Cercle_(\rput[pointref](x_y){\circlenode[opt]{nom}{objet})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Noeudcerc
  LabelType		Top_Environment
  LabelString		"Noeud cercle. TAPER -mode TEX (sauf objet)-: lieutref}{x}{y}{options}{nom}{objet "
  Preamble
\def\Noeudcerc#1#2#3#4#5#6{\rput[#1](#2,#3){\circlenode[#4]{#5}{#6}}}
  EndPreamble
End

# Noeud ovale style declaration
Style Ovale_(\rput[pointref](x_y){\ovalnode[opt]{nom}{objet})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Noeudova
  LabelType		Top_Environment
  LabelString		"Noeud ovale. TAPER -mode TEX (sauf objet)-: lieutref}{x}{y}{options}{nom}{objet "
  Preamble
\def\Noeudova#1#2#3#4#5#6{\rput[#1](#2,#3){\ovalnode[#4]{#5}{#6}}}
  EndPreamble
End

Style ___________VIDE:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Noeud style declaration
Style Noeud_simple_(\pnode(x_y){nom})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		Noeudsim
  PassThru		1
  LabelType		Static
  LabelString		"Noeud simple. TAPER: x}{y}{nom "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\Noeudsim#1#2#3{\pnode(#1,#2){#3}}
  EndPreamble
End

Style ___________******_____
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _________LIAISONS
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ____ENTRE_NOEUDS:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style (noeudA_vers_noeudB)_
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Droite style declaration
Style Droite_(\ncline[opt]{style}{nodeA}{nodeB})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		LDroite
  PassThru		1
  LabelType		Static
  LabelString		"Liaison droite. TAPER: options}{style-dbut}{style-fin}{noeudA}{noeudB "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\LDroite#1#2#3#4#5{\ncline[#1]{#2-#3}{#4}{#5}}
  EndPreamble
End

# Arc style declaration
Style Arc_(\ncarc[opt]{style}{nodeA}{nodeB})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		LArc
  PassThru		1
  LabelType		Static
  LabelString		"Liaison arc. TAPER: options}{style-dbut}{style-fin}{noeudA}{noeudB "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\LArc#1#2#3#4#5{\ncarc[#1]{#2-#3}{#4}{#5}}
  EndPreamble
End

# Bezier style declaration
Style Courbe_Bzier_(\nccurve[opt]{style}{nodeA}{nodeB})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		LBezier
  PassThru		1
  LabelType		Static
  LabelString		"Liaison courbe Bzier. TAPER: options}{style-dbut}{style-fin}{noeudA}{noeudB "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\LBezier#1#2#3#4#5{\nccurve[#1]{#2-#3}{#4}{#5}}
  EndPreamble
End

# Deux bras et angle droit style declaration
Style 2_bras_et_angle_droit_(\ncangles[opt]{style}{nodeA}{nodeB})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		LBrasAngle
  PassThru		1
  LabelType		Static
  LabelString		"Liaison 2 bras et angle droit. TAPER: options}{style-dbut}{style-fin}{noeudA}{noeudB "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\LBrasAngle#1#2#3#4#5{\ncangles[#1]{#2-#3}{#4}{#5}}
  EndPreamble
End

# Deux bras egaux style declaration
Style 2_bras_gaux_(\ncdiag[opt]{style}{nodeA}{nodeB})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		LBrasEgaux
  PassThru		1
  LabelType		Static
  LabelString		"Liaison 2 bras gaux. TAPER: options}{style-dbut}{style-fin}{noeudA}{noeudB "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\LBrasEgaux#1#2#3#4#5{\ncdiag[#1]{#2-#3}{#4}{#5}}
  EndPreamble
End

# Un bras depart style declaration
Style 1_bras_dpart_(\ncdiagg[opt]{style}{nodeA}{nodeB})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		LBrasDepart
  PassThru		1
  LabelType		Static
  LabelString		"Liaison 1 bras dpart. TAPER: options}{style-dbut}{style-fin}{noeudA}{noeudB "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\def\LBrasDepart#1#2#3#4#5{\ncdiagg[#1]{#2-#3}{#4}{#5}}
  EndPreamble
End

Style ___________******______
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style __________LABELS
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ___ANGLE_VARIABLE_
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ____POUR_LIAISONS:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _____(_utiliser_juste)_
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ____(aprs_la_liaison)_
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Au dessus depart style declaration
Style Label_au_dessus_(\aput[separation]{angle}(position){Label})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		LabAnup
  LabelType		Top_Environment
  LabelString		"Label au dessus. TAPER -mode TEX (sauf Label)-: valeur-en-pt}{angle(parallle=:U)}(position){Label "
  Preamble
\def\LabAnup#1#2{\aput[\pslabelsep=#1pt]{#2}}
  EndPreamble
End

# En dessous style declaration
Style Label_en_dessous_(\bput[separation]{angle}(position){Label})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		LabAndown
  LabelType		Top_Environment
  LabelString		"Label en dessous. TAPER -mode TEX (sauf Label)-: valeur-en-pt}{angle(parallle=:U)}(position){Label "
  Preamble
\def\LabAndown#1#2{\bput[\pslabelsep=#1pt]{#2}}
  EndPreamble
End

# Par dessus depart style declaration
Style Label_par_dessus_(\lput*[pointrf]{angle}(pos){Label})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		LabAnon
  LabelType		Top_Environment
  LabelString		"Label par dessus. TAPER -mode TEX (sauf Label)-: pointrf}{angle(parallle=:U)}(pos){Label "
  Preamble
\def\LabAnon#1#2{\lput*[#1]{#2}}
  EndPreamble
End

Style ___________******_______
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ________TEXTE_SUR
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style ______UNE_COURBE_
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Texte sur une courbe depart style declaration
Style Texte_sur_une_courbe_(\pstextpath[pos](x_y){courbe}{texte})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		TexteChemin
  LabelType		Top_Environment
  LabelString		"Texte sur une courbe. TAPER -mode TEX (sauf texte)-: position}(x,y){courbe}{texte (x=cart-caract.,y=dist-courbe) "
  Preamble
\usepackage{pst-text}
\def\TexteChemin#1{\pstextpath[#1]}
  EndPreamble
End

Style ___________******________
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _______INCLINAISON
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

Style _________D'OBJETS:
  Margin  		Static
  LatexType 		Paragraph
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Angle inclinaison depart style declaration
Style Angle_inclinaison_(\pstilt{angle}{objet})
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Command
  LatexName		AnglePersp
  PassThru		1
  LabelType		Static
  LabelString		"Angle inclinaison. TAPER: angle}{{ "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
  Preamble
\usepackage{pst-3d}
\def\AnglePersp#1{\pstilt{#1}}
  EndPreamble
End

# Fin inclinaison depart style declaration
Style Fin_inclinaison
  CopyStyle		**POSITIONNEMENT:***
  LatexType		Paragraph
  PassThru		1
  LabelType		Static
  LabelString		"Fin inclinaison. TAPER: } "
 # standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		red
  EndFont
# label font definition
  LabelFont
    Family		Sans
    Shape		Up
    Size		Small
    Color		magenta
  EndFont
#  Preamble
#\def\FinPersp{}
#  EndPreamble
End
