# definition des sections non numerotes dans un livre


Format 2
Style Partie*
  CopyStyle		Partie
  Margin		Static
  LatexName		part*
  LabelType		No_Label
End

Style Chapitre*
  CopyStyle		Chapitre
  Margin		Static
  LatexName		chapter*
  LabelType		No_Label
End

Style Section*
  CopyStyle		Section
  Margin		Static
  LatexName		section*
  LabelType		No_Label
End

Style Sous-section*
  CopyStyle		Sous-section
  Margin		Static
  LatexName		subsection*
  LabelType		No_Label
End

Style Sous-sous-section*
  CopyStyle		Sous-sous-section
  Margin		Static
  LatexName		subsubsection*
  LabelType		No_Label
End

Style Sous-sous-sous-section*
  CopyStyle		Sous-sous-section
  Margin		Static
  LatexName		paragraph*
  LabelType		No_Label
End

Style Sous-sous-sous-sous-section*
  CopyStyle		Sous-sous-section
  Margin		Static
  LatexName		subparagraph*
  LabelType		No_Label
End

Style Bibliographie
  Margin		First_Dynamic
  LatexType		Bib_Environment
  LatexName		thebibliography
  NextNoIndent	1
  LeftMargin	MM
  ParSkip		0.4
  ItemSep		0
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.5
  Align			Block
  AlignPossible	Block, Left
  LabelType		Bibliography
  LabelString	References
  LabelBottomSep    0.7
# standard font definition
  Font
    Size		Small
  EndFont
# label font definition
  LabelFont
    Size		Normal
    Shape		Smallcaps
  EndFont
End

###
#pour ajouter a la table des matieres a un niveau choisi
###

Style Ajouter_au_niveau_partie_de_la_Table_des_Matires
  Margin  		First_Dynamic
  LatexType 		Command
  LatexName		TabMatPartie
  NextNoIndent	0
  ParIndent		MM
  ParSkip 		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0
  Align 		Block
  AlignPossible 		Block, Left, Right, Center
  LabelType 	Static
  LabelString	"TAPER le nom de la partie : "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
  EndFont
# label font definition
  LabelFont
    Family	Sans
    Shape	Up
    Size		Small
    Color		Magenta
  EndFont
  Preamble
\def\TabMatPartie#1{\addcontentsline{toc}{part}{#1}}
  EndPreamble
End

Style partie
  CopyStyle		Ajouter_au_niveau_partie_de_la_Table_des_Matires
End

Style Ajouter_au_niveau_chapitre_de_la_Table_des_Matires
  CopyStyle		partie
  LatexName		TabMatChapitre
  LabelType		Static
  LabelString	"TAPER le nom du  chapitre : "
  Preamble
\def\TabMatChapitre#1{\addcontentsline{toc}{chapter}{#1}}
  EndPreamble
End

Style chapitre_
  CopyStyle		Ajouter_au_niveau_chapitre_de_la_Table_des_Matires
End

Style chapitre-
	CopyStyle		Ajouter_au_niveau_chapitre_de_la_Table_des_Matires
End

Style Ajouter_au_niveau_section_de_la_Table_des_Matires
  CopyStyle		partie
  LatexName		TabMatSection
  LabelType		Static
  LabelString	"TAPER le nom de la section : "
  Preamble
\def\TabMatSection#1{\addcontentsline{toc}{section}{#1}}
  EndPreamble
End

Style section-
  CopyStyle		Ajouter_au_niveau_section_de_la_Table_des_Matires
End

Style section_
  CopyStyle		Ajouter_au_niveau_section_de_la_Table_des_Matires
End

Style Ajouter_au_niveau_sous_section_de_la_Table_des_Matires
  CopyStyle		partie
  LatexName		TabMatSousSection
  LabelType		Static
  LabelString	"TAPER le nom de la sous-section : "
  Preamble
\def\TabMatSousSection#1{\addcontentsline{toc}{subsection}{#1}}
  EndPreamble
End

Style sous-section-
  CopyStyle		Ajouter_au_niveau_sous_section_de_la_Table_des_Matires
End

Style sous-section_
  CopyStyle		Ajouter_au_niveau_sous_section_de_la_Table_des_Matires
End

Style Ajouter_au_niveau_sous_sous_section_de_la_Table_des_Matires
  CopyStyle		partie
  LatexName		TabMatSousSousSection
  LabelType		Static
  LabelString	"TAPER le nom de la sous-sous-section : "
  Preamble
\def\TabMatSousSousSection#1{\addcontentsline{toc}{subsubsection}{#1}}
  EndPreamble
End

Style sous-sous-section-
  CopyStyle		Ajouter_au_niveau_sous_sous_section_de_la_Table_des_Matires
End

Style sous-sous-section_
  CopyStyle		Ajouter_au_niveau_sous_sous_section_de_la_Table_des_Matires
End

Style Ajouter_au_niveau_sous_sous_sous_section_de_la_Table_des_Matire
  CopyStyle		partie
  LatexName		TabMatSousSousSousSection
  LabelType		Static
  LabelString	"TAPER le nom de la sous-sous-sous-section : "
  Preamble
\def\TabMatSousSousSousSection#1{\addcontentsline{toc}{paragraph}{#1}}
  EndPreamble
End

Style sous-sous-sous-section-
  CopyStyle		Ajouter_au_niveau_sous_sous_sous_section_de_la_Table_des_Matire
End

Style sous-sous-sous-section_
  CopyStyle		Ajouter_au_niveau_sous_sous_sous_section_de_la_Table_des_Matire
End

Style Ajouter_au_niveau_sous_sous_sous_sous_section_de_la_Table_des_Matire
  CopyStyle		partie
  LatexName		TabMatSousSousSousSousSection
  LabelType		Static
  LabelString	"TAPER le nom de la sous-sous-sous-sous-section : "
  Preamble
\def\TabMatSousSousSousSousSection#1{\addcontentsline{toc}{subparagraph}{#1}}
  EndPreamble
End

Style sous-sous-sous-sous-section-
  CopyStyle		Ajouter_au_niveau_sous_sous_sous_sous_section_de_la_Table_des_Matire
End

Style sous-sous-sous-sous-section_
  CopyStyle		Ajouter_au_niveau_sous_sous_sous_sous_section_de_la_Table_des_Matire
End

###
#pour ajouter aux en-tetes de pages a un niveau choisi
###

Style Ajouter_aux_en-tete_de_pages_au_niveau_chapitre
  CopyStyle		partie
  LatexName		ChapMark
  LabelType 	Static
  PassThru		1
  LabelString	"TAPER: #1}{le nom du  chapitre "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		Red
  EndFont
# label font definition
  LabelFont
    Family	Sans
    Shape	Up
    Size	Small
    Color	Magenta
  EndFont
  Preamble
\def\ChapMark#1#2{{\renewcommand{\chaptermark}[1]{%
\markboth{\slshape\MakeUppercase{#1}}{}}%
\chaptermark{#2}}}
  EndPreamble
End

Style chapitre__
  CopyStyle		Ajouter_aux_en-tete_de_pages_au_niveau_chapitre
End

Style chapitre--
  CopyStyle		Ajouter_aux_en-tete_de_pages_au_niveau_chapitre
End

Style Ajouter_aux_en-tete_de_pages_au_niveau_section
  CopyStyle		partie
  LatexName		SecMark
  LabelType 	Static
  PassThru		1
  LabelString	"TAPER: #1}{le nom de la section "
# standard font definition
  Font
    Shape 		Up
    Size		Normal
    Color		Red
  EndFont
# label font definition
  LabelFont
    Family	Sans
    Shape	Up
    Size	Small
    Color	Magenta
  EndFont
  Preamble
\def\SecMark#1#2{{\renewcommand{\sectionmark}[1]{%
\markright{\slshape\MakeUppercase{#1}}}%
\sectionmark{#2}}}
  EndPreamble
End

Style section__
  CopyStyle		Ajouter_aux_en-tete_de_pages_au_niveau_section
End

Style section--
  CopyStyle		Ajouter_aux_en-tete_de_pages_au_niveau_section
End
